Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class Telecom

    java.lang.Object
      org.jboss.portal.wsrp.core.Telecom

All Implemented Interfaces:
  java.io.Serializable

    public class Telecom

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected TelephoneNum` | `fax`
`protected TelephoneNum` | `mobile`
`protected TelephoneNum` | `pager`
`protected TelephoneNum` | `telephone`

Constructor Summary
`Telecom()`
`Telecom(TelephoneNum telephone, TelephoneNum fax, TelephoneNum mobile, TelephoneNum pager, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`TelephoneNum` | `getFax()`
`TelephoneNum` | `getMobile()`
`TelephoneNum` | `getPager()`
`TelephoneNum` | `getTelephone()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setFax(TelephoneNum fax)`
`void` | `setMobile(TelephoneNum mobile)`
`void` | `setPager(TelephoneNum pager)`
`void` | `setTelephone(TelephoneNum telephone)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### telephone

    protected TelephoneNum telephone

### fax

    protected TelephoneNum fax

### mobile

    protected TelephoneNum mobile

### pager

    protected TelephoneNum pager

### extensions

    protected Extension[] extensions

Constructor Detail

### Telecom

    public Telecom()

### Telecom

    public Telecom(TelephoneNum telephone,
                   TelephoneNum fax,
                   TelephoneNum mobile,
                   TelephoneNum pager,
                   Extension[] extensions)

Method Detail

### getTelephone

    public TelephoneNum getTelephone()

### setTelephone

    public void setTelephone(TelephoneNum telephone)

### getFax

    public TelephoneNum getFax()

### setFax

    public void setFax(TelephoneNum fax)

### getMobile

    public TelephoneNum getMobile()

### setMobile

    public void setMobile(TelephoneNum mobile)

### getPager

    public TelephoneNum getPager()

### setPager

    public void setPager(TelephoneNum pager)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD